ID CVE-2017-18201
Summary An issue was discovered in GNU libcdio before 2.0.0. There is a double free in get_cdtext_generic() in lib/driver/_cdio_generic.c.
References
Vulnerable Configurations
  • cpe:2.3:a:gnu:libcdio:-:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:-:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.1:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.1:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.2:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.2:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.3:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.3:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.5:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.5:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.6:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.6:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.61:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.61:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.62:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.62:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.63:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.63:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.64:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.64:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.65:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.65:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.66:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.66:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.67:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.67:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.68:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.68:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.69:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.69:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.70:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.70:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.71:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.71:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.72:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.72:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.73:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.73:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.74:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.74:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.75:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.75:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.76:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.76:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.77:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.77:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.78:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.78:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.78.1:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.78.1:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.78.2:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.78.2:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.79:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.79:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.80:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.80:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.81:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.81:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.82:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.82:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.83:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.83:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.90:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.90:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.91:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.91:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.92:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.92:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.93:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.93:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:0.94:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:0.94:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:1.0.0:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:1.0.0:*:*:*:*:*:*:*
  • cpe:2.3:a:gnu:libcdio:1.1.0:*:*:*:*:*:*:*
    cpe:2.3:a:gnu:libcdio:1.1.0:*:*:*:*:*:*:*
CVSS
Base: 7.5 (as of 31-10-2018 - 10:29)
Impact:
Exploitability:
CWE CWE-415
CAPEC
Access
VectorComplexityAuthentication
NETWORK LOW NONE
Impact
ConfidentialityIntegrityAvailability
PARTIAL PARTIAL PARTIAL
cvss-vector via4 AV:N/AC:L/Au:N/C:P/I:P/A:P
redhat via4
advisories
bugzilla
id 1549707
title CVE-2017-18201 libcdio: Double free in get_cdtext_generic() in lib/driver/_cdio_generic.c
oval
AND
  • OR
    • comment Red Hat Enterprise Linux 7 Client is installed
      oval oval:com.redhat.rhba:tst:20150364001
    • comment Red Hat Enterprise Linux 7 Server is installed
      oval oval:com.redhat.rhba:tst:20150364002
    • comment Red Hat Enterprise Linux 7 Workstation is installed
      oval oval:com.redhat.rhba:tst:20150364003
    • comment Red Hat Enterprise Linux 7 ComputeNode is installed
      oval oval:com.redhat.rhba:tst:20150364004
  • OR
    • AND
      • comment libcdio is earlier than 0:0.92-3.el7
        oval oval:com.redhat.rhsa:tst:20183246005
      • comment libcdio is signed with Red Hat redhatrelease2 key
        oval oval:com.redhat.rhsa:tst:20183246006
    • AND
      • comment libcdio-devel is earlier than 0:0.92-3.el7
        oval oval:com.redhat.rhsa:tst:20183246007
      • comment libcdio-devel is signed with Red Hat redhatrelease2 key
        oval oval:com.redhat.rhsa:tst:20183246008
rhsa
id RHSA-2018:3246
released 2018-10-30
severity Low
title RHSA-2018:3246: libcdio security update (Low)
rpms
  • libcdio-0:0.92-3.el7
  • libcdio-devel-0:0.92-3.el7
refmap via4
bid 103190
confirm https://git.savannah.gnu.org/cgit/libcdio.git/commit/?id=f6f9c48fb40b8a1e8218799724b0b61a7161eb1d
Last major update 31-10-2018 - 10:29
Published 26-02-2018 - 14:29
Back to Top